For the complete documentation index, see llms.txt. This page is also available as Markdown.

eth_getUncleByBlockHashAndIndex - Polygon

Example code for the eth_getUncleByBlockHashAndIndex json-rpc method. Сomplete guide on how to use eth_getUncleByBlockHashAndIndex json-rpc in GetBlock.io Web3 documentation.

The eth_getUncleByBlockHashAndIndex method returns information about an uncle of a block by hash and uncle index position. Note that Polygon uses Proof of Stake, so uncle blocks are rare.

Parameters

Parameter
Type
Required
Description

blockHash

string

Yes

32-byte hash of the block

uncleIndex

string

Yes

Uncle index position in hexadecimal

Request

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getUncleByBlockHashAndIndex",
    "params": ["0x3f07a9c83155594c000642e7d60e8a8a00038d03e9849171a05ed0e2d47acbb3", "0x0"],
    "id": "getblock.io"
}'
example.js
import axios from 'axios';

const url = 'https://go.getblock.io/<ACCESS-TOKEN>/';

const payload = {
    jsonrpc: '2.0',
    method: 'eth_getUncleByBlockHashAndIndex',
    params: ["0x3f07a9c83155594c000642e7d60e8a8a00038d03e9849171a05ed0e2d47acbb3", "0x0"],
    id: 'getblock.io'
};

axios.post(url, payload, {
    headers: { 'Content-Type': 'application/json' }
})
.then(response => console.log(response.data))
.catch(error => console.error(error));

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": null
}

Response Parameters

Field
Type
Description

jsonrpc

string

JSON-RPC version (2.0)

id

string

Request identifier

result

varies

Uncle block object or null if not found

Use Case

The eth_getUncleByBlockHashAndIndex method is useful for:

  • Ethereum compatibility

  • Chain analysis

  • Historical data

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

-32600

Invalid Request

Malformed request body

-32602

Invalid params

Invalid method parameters

Web3 Integration

Last updated

Was this helpful?